﻿using Sample.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Sample.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            var MasterData = OrderRepository.GetAllRecords();
            ViewBag.dataSource1 = MasterData;

            var Name = CustomerRepository.GetAllRecords();            
            ViewBag.name = Name;

            var Country = EmployeeRepository.GetAllRecords();            
            ViewBag.country = Country;

            return View();
        }
        public ActionResult DataSource(string titleValue)
        {
            var userTemplates = EmployeeRepository.GetAllRecords().Where(c => c.ContactTitle == titleValue).ToList();
            var data = new List<object>();
            foreach (var Cust in userTemplates)
            {
                
               data.Add(new { value = Cust.ShipCity, text = Cust.Country });
            }
           // data.Insert(0, new { value = "", text = "" });
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}
